Package org.gradle.language.swift

# Interface SwiftApplication

All Superinterfaces:
  `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `Named`, `ProductionComponent`, `ProductionSwiftComponent`, `SoftwareComponent`, `SwiftComponent`

public interface SwiftApplication extends ProductionSwiftComponent
Configuration for a Swift application, defining the source files that make up the application plus other settings.

An instance of this type is added as a project extension by the Swift application plugin.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends SwiftExecutable>`
  `getDevelopmentBinary()`
  Returns the binary of the component to use as the default for development.

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

  `getTargetMachines`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

  `getBinaries, getImplementationDependencies, getModule, getSource, getSourceCompatibility, getSwiftSource, source`

- ## Method Details

  - ### getDevelopmentBinary

    Provider<? extends SwiftExecutable> getDevelopmentBinary()
    Returns the binary of the component to use as the default for development.
    Specified by:
      `getDevelopmentBinary` in interface `ProductionComponent`
    Specified by:
      `getDevelopmentBinary` in interface `ProductionSwiftComponent`